$DEFINE GDI
$DEFINE USER
      INCLUDE 'WINDOWS.FI'
      SUBROUTINE DRAW_HUB
      IMPLICIT NONE
C
C Author       : Kevin B Black
C Date written : 23-Oct-1991
C Abstract     :
C
C DRAW HUB ON ANALOGUE CLOCK
C
C Subroutine to draw a `hub' over the hands of the clock when it is not in
C the iconic state.
C
      INCLUDE 'WINDOWS.FD'        ! Include windows functions and parameters
      INTEGER*2 REDBRUSH,OLDBRUSH ! Brush handling
      REAL F                      ! Temporary real
      INCLUDE 'FWCLOCK.FD'        ! Include FWClocks variables and parameters
C
C Create a red brush and draw the hub for the hands when not iconic
C
      IF(.NOT.IMANICON)THEN
         REDBRUSH=CreateSolidBrush(255)
         OLDBRUSH=SelectObject(FWCPS.HDC,REDBRUSH)
         F=FLOAT(RADIUS)*0.06
         TRECT.LEFT=AXC-F
         TRECT.RIGHT=AXC+F
         F=F*VASPECT/HASPECT
         TRECT.TOP=AYC+F
         TRECT.BOTTOM=AYC-F
         WSTATUS=Ellipse(FWCPS.HDC,TRECT.LEFT,TRECT.TOP,
     *                             TRECT.RIGHT,TRECT.BOTTOM)
         WSTATUS=SelectObject(FWCPS.HDC,OLDBRUSH)
         WSTATUS=DeleteObject(REDBRUSH)
      ENDIF
      RETURN
      END
